package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.BoneClub;
import org.project.item.weapons.Weapon;

public class Skeleton extends Enemy{

    private static int maxHP = 80;
    private int hp = maxHP;

    public Skeleton(){
        Weapon SkeletonWeapon = new BoneClub();
        super(maxHP, SkeletonWeapon);
    }

    @Override
    public void SpecialAbility(Entity target) {
        hp = maxHP/2; // revive
    }

    @Override
    public void heal(int health) {
        hp += health;
        if (hp > maxHP) {
            hp = maxHP;
        }
    }

    public int getMaxHP() {
        return maxHP;
    }

    public String getName(){
        return "Skeleton";
    }

}